

affs is failing to propagate the inode_setattr() return value.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/affs/inode.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/affs/inode.c~affs_setattr-retval-fix fs/affs/inode.c
--- 25/fs/affs/inode.c~affs_setattr-retval-fix	2004-06-26 15:50:54.653786608 -0700
+++ 25-akpm/fs/affs/inode.c	2004-06-26 15:51:50.563287072 -0700
@@ -249,7 +249,7 @@ affs_notify_change(struct dentry *dentry
 		goto out;
 	}
 
-	inode_setattr(inode, attr);
+	error = inode_setattr(inode, attr);
 	if (!error && (attr->ia_valid & ATTR_MODE))
 		mode_to_prot(inode);
 out:
_
